Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.servlets.jsp.taglib
Class AdRenderTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.ad.servlets.jsp.taglib.AdRenderTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AdRenderTag

extends javax.servlet.jsp.tagext.TagSupport

Tag class to render an ad.

This expects the AdService to use to be found at "java:comp/env/AdService".

See Also
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AdRenderTag()`

Method Summary
`int` | `doStartTag()` Return the content for the named placeholder to the JSP page.
`void` | `release()` Release any resources or variables.
`void` | `setAd(Node ad)`
`void` | `setAd(RenderableContent ad)`
`void` | `setHeight(int height)` Set the height property.
`void` | `setHeight(String str)` Set the height property.
`void` | `setWidth(int width)` Set the width property
`void` | `setWidth(String str)` Set the width property

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdRenderTag

    public AdRenderTag()

Method Detail

### setAd

    public void setAd(Node ad)

### setAd

    public void setAd(RenderableContent ad)

### setHeight

    public void setHeight(String str)

  Set the height property.

  Parameters
    `height` - height of the placeholder

### setHeight

    public void setHeight(int height)

  Set the height property.

  Parameters
    `height` - integer height of the placeholder

### setWidth

    public void setWidth(String str)

  Set the width property

  Parameters
    `width` - width of the placeholder

### setWidth

    public void setWidth(int width)

  Set the width property

  Parameters
    `width` - integer width of the placeholder

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Return the content for the named placeholder to the JSP page.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Release any resources or variables.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.